Subject: devuan-installer: Keyboard layout not configured on console

From: Olaf Meeuwissen <[email-masked]>
Date: Fri, 07 Jan 2022 17:12:41 +0900

Package: devuan-installer
Version: 5.0.preview-20211220
Severity: normal
X-Debbugs-Cc: Olaf Meeuwissen <[email-masked]>

Dear Maintainer,

Doing a number of test installs with the above installer's netinstall
ISO, I noticed that the selected keyboard layout is not persisted on the
console post-install.  That is, the selection is only active during the
installation itself.  After finishing the installation, the layout on
the console is US-ASCII.  On the Xfce desktop, the selected layout is
configured correctly.  This issue only manifests itself on the console,
i.e. on systems without a GUI or after you switch to a VT.

Excerpts from the attached installation/syslog show:

  apt-install: Queueing package console-setup for later installation

  in-target: Package console-setup is not available, but is referred to by another package.
  in-target: This may mean that the package is missing, has been obsoleted, or
  in-target: is only available from another source
  in-target:
  in-target: E: Package 'console-setup' has no installation candidate
  base-installer: warning: Failed to install console-setup into /target/: 100

I checked the ISO image and it only contains console-setup-udeb.

I had no trouble installing console-setup afterwards (although the
debconf question may be a bit intimidating for inexperienced users).

It seems that only the base-system installation step tries to install
console-setup and that no additional attempt is made to do this after
APT has been configured.

Adding the console-setup package (and any missing Depends:!) to the
installer's package pool should fix this.

Hope this helps.

BTW, US-ASCII keybindings on a Japanese keyboard seriously suck.
-- System Information:
Architecture: x86_64

Kernel: Linux 5.15.0-2-amd64 (SMP w/16 CPU threads)
Locale: LANG=C.UTF-8, LC_CTYPE=C.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /bin/dash
Init: runit (via /run/runit.stopit)
LSM: AppArmor: enabled